%--------------------------------------------------------------------------
% findTimeStamps - This function is used when analysing a given time
% interval. It takes the requested time interval from the user, and finds
% the corresponding data from the data set.
%
% created: 23.04.2015 - Lise Bjoerkvoll
%--------------------------------------------------------------------------

function [start, stop] = findTimeStamps(EEGdata, first, second)
flag1 = 0;
flag2 = 0;

for i=1: length(EEGdata)
    if first==0 && flag1==0
        start=1;
        flag1=1;
    end
    if EEGdata(i,18)>= first && flag1==0
        start = i;
        flag1=1;
    end 
    if second == 0 && flag2==0
        stop = length(EEGdata);
        flag2=1;
    end
    if EEGdata(i,18)>= second && flag2==0
        stop =  i;
        flag2=1;
    end
end